Jim,

Go ahead and update your K3 with the latest level firmware!
K3 Utility has the capability to interrogate your K3 and determine which modules are to be loaded. Yes, there are K3S unique firmware modules, but K3 Utility sorts all that out so you get the latest for your K3 configuration. The firmware is "backwards compatible" - the K3 is not obsolete nor "old school". Elecraft would not remove firmware upgrade support without notice - consider that the legacy gear is still being supported - the K2, K1, and KX1 - that is witness to the Elecraft support for all customers, new or old. The first K2s were produced in 1998 and are still going strong and even those first K2s are capable of being upgraded with mod kits to be equal to the latest K2 being shipped (with some minor exceptions). I think this is an example of the kind of support you will receive from Elecraft in the future.


73,
Don W3FPR

On 9/20/2016 11:47 AM, Jim Miller wrote:
I have not installed any of the K3S lookalike modules but was up to date
with all the mods until then.  I remember seeing that I could not load some
level unless I had the new synth boards.  I suspect I cannot load any more
code updates after that.

Does the code yet recognize where I am and load the latest code applicable
to my level?

Am I locked into a "latest level for my machine"?


______________________________________________________________
Elecraft mailing list
Home: http://mailman.qth.net/mailman/listinfo/elecraft
Help: http://mailman.qth.net/mmfaq.htm
Post: mailto:Elecraft@mailman.qth.net

This list hosted by: http://www.qsl.net
Please help support this email list: http://www.qsl.net/donate.html
Message delivered to arch...@mail-archive.com

Reply via email to